package Config::HAProxy::Node::Root;
use strict;
use warnings;
use parent 'Config::HAProxy::Node::Section';
use Carp;

sub new {
    my $class = shift;
    my $self = $class->SUPER::new(@_);
    $self->{dirty} = 0;
    return $self;
}

sub is_dirty {
    my $self = shift;
    return $self->{dirty}
}

sub mark_dirty {
    my $self = shift;
    $self->{dirty} = 1;
}

sub clear_dirty {
    my $self = shift;
    $self->{dirty} = 0;
}
    
1;

    
